Subject: bug#9323: Non-recursive make build systems and M-x compile

From: Reuben Thomas <[email-masked]>
Date: Thu, 18 Aug 2011 23:43:07 +0100

On 18 August 2011 22:48, Andreas Schwab <[email-masked]> wrote:
> Reuben Thomas <[email-masked]> writes:
>
>> If I change the build command to make -C .., then Emacs gives errors
>> in the compile buffer pointing to files like "src/foo.c", but can't
>> follow those links, I presume because it considers the current dir for
>> the build to be "src".
>
> make -C should output "Entering directory" lines which are parsed by
> Emacs.

It does; sorry I wasn't clear. The problem is that the links start:
src/foo.c, but the directory for the compilation is src, so in
following the link, Emacs tries to find src/src/foo.c, and fails.

-- 
http://rrt.sc3d.org